List invoices

GEThttps://api.sandbox.stridehq.ai/v1/invoices

Returns your invoices, newest first.

Scope read

Query parameters

limit integer

How many to return. 1 to 100.

Default: 25

starting_after string

The last id from the previous page. Use it when has_more is true.

sort string

One of created_at, updated_at, due_date, invoice_date, total_amount. Prefix with - for descending.

Default: -created_at

status string

Only invoices with this status.

One of: in_reviewaction_requiredawaiting_accounting_approvalapprovedin_payment_runpaidrejected

creator_id string

Only this creator's invoices.

purchase_order_id string

Only invoices against this purchase order.

payment_run_id string

Only invoices in this payment run.

due_before string (date)

Only invoices due before this date.

created_after string (date-time)

Only those created after this time.

created_before string (date-time)

Only those created before this time.

Responses